const jobMixin = {
    data () {
        return {
            jobType: [
                {
                    k: 'NORMAL',
                    v: '日常检查'
                },
                {
                    k: 'SPECIAL',
                    v: '专项检查',
                },
                {
                    k: 'REPORT',
                    v: '举报检查',
                },
                {
                    k: 'TOWNS',
                    v: '乡镇检查',
                },
                {
                    k: 'OTHER',
                    v: '其他检查',
                }
            ]
        }
    },
    methods: {
        parseJobType(k) {
            const res = this.jobType.filter(item => k == item.k);
            if (res.length > 0) {
                return res[0].v;
            }
            return '';
        }
    }
}

export default jobMixin